# Created by pyp2rpm-1.0.1
# https://github.com/bjones1/CodeChat
# commit b590b4a4a9f84f1bccf3323df33ba54c7458b208

%global pypi_name CodeChat
%define version 1.2.1

Name:           python-codechat
Version:        %{version}
Release:        %mkrel 2
Group:          Development/Python
Summary:        The CodeChat system for software documentation
License:        GPLv3+
URL:            https://github.com/bjones1/CodeChat
Source0:        CodeChat-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  python-docutils
BuildRequires:  python-pygments
Requires:       python-docutils
Requires:       python-pygments

%description
CodeChat transforms source code into a web page,
allowing developers to view their program as a beautiful
and descriptive document by adding headings, formatting,
hyperlinks, diagrams, images, and other forms of rich content
to capture the ideas and insights that naturally flow
from the process of writing a program.
It also provides a blank slate in which to plan ahead,
by sketching out an algorithm before committing it to code
or laying out a design document which can evolve as the code does.
This literate programming paradigm changes the way developers
think by intermingling ideas with their implementation as code,
dramatically improving a programmer’s abilities.

%package -n python3-codechat
Group:          Development/Python
Summary:        the modular source code checker: pep8, pyflakes and co
BuildRequires:  python3-devel
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  python3-docutils
BuildRequires:  python3-pygments
Requires:       python3-docutils
Requires:       python3-pygments

%description -n python3-codechat
CodeChat transforms source code into a web page,
allowing developers to view their program as a beautiful
and descriptive document by adding headings, formatting,
hyperlinks, diagrams, images, and other forms of rich content
to capture the ideas and insights that naturally flow
from the process of writing a program.
It also provides a blank slate in which to plan ahead,
by sketching out an algorithm before committing it to code
or laying out a design document which can evolve as the code does.
This literate programming paradigm changes the way developers
think by intermingling ideas with their implementation as code,
dramatically improving a programmer’s abilities.

%prep
%setup -q -n %{pypi_name}-%{version}
# remove bundled egg-info
rm -rf CodeChat.egg-info
sed -i '/'pygments.*'/d' setup.py
sed -i '/'docutils.*'/d' setup.py
sed -i '/'ez_setup.*'/d' setup.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}/*

%files -n python3-codechat
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}/*


%changelog
* Mon May 02 2016 philippem <philippem> 1.2.1-2.mga6
+ Revision: 1008801
- remove ez_setup

  + dglent <dglent>
    - git version ported to python3

* Sat Dec 19 2015 dglent <dglent> 1.2.1-1.mga6
+ Revision: 911825
- imported package python-codechat

